/// [Level] represents a logging level. [Level] throttle logging output.
class Level {
    final String _name;
    final int value;

    const Level(this._name, this.value);

    static const Level debug = const Level('DEBUG', 0x1);
    static const Level info = const Level('INFO', 0x2);
    static const Level warning = const Level('WARNING', 0x3);
    static const Level error = const Level('ERROR', 0x4);
    static const Level fatal = const Level('FATAL', 0x5);
    static const Level off = const Level('-', 0xffff);

    @override
    bool operator==(Level o) => this.value == o.value;
    bool operator>(Level o) => this.value > o.value;
    bool operator>=(Level o) => this.value >= o.value;
    bool operator<(Level o) => this.value < o.value;
    bool operator<=(Level o) => this.value <= o.value;

    @override
    String toString() => this._name;
}
